schemaVersion: "1.0"
pattern:
  id: "9ff0369f3cf662f95d94ff09"
  className: "ch.nevis.admin.v4.plugin.nevisauth.patterns2.GenericAuthenticationStep"
  name: "Ensure_Recovery_Code"
  notes: "NOTE/haburger/2023-11-29: we continue, even if there was an error during\
    \ the recovery code generation"
  properties:
    authStatesFile: "res://9ff0369f3cf662f95d94ff09#authStatesFile"
    parameters: "var://ensure_recovery_code-parameters"
    onSuccess:
    - "pattern://6d83506dfcc430c12d81dfa3"
    onFailure:
    - "pattern://6d83506dfcc430c12d81dfa3"
    resources: "res://9ff0369f3cf662f95d94ff09#resources"
    keyObjects:
    - "pattern://bcfe78c02cbe0588528bc3cb"
